---
apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: plex-off-deck
spec:
  interval: 30m
  chart:
    spec:
      chart: app-template
      version: 3.6.1
      sourceRef:
        kind: HelmRepository
        name: bjw-s
        namespace: flux-system
  install:
    remediation:
      retries: 3
  upgrade:
    cleanupOnFail: true
    remediation:
      strategy: rollback
      retries: 3
  dependsOn:
    - name: plex
      namespace: multimedia
  values:
    controllers:
      plex-off-deck:
        type: cronjob
        cronjob:
          schedule: "@hourly"
          timeZone: &timeZone America/Santiago
          successfulJobsHistory: 1
          failedJobsHistory: 1
        containers:
          app:
            image:
              repository: ghcr.io/onedr0p/jbops
              tag: 1.0.893@sha256:c4782519e0dd5f8f2fca893225e088d705013da3c9b6e67126f8f545c37f3fcd
            env:
              TZ: *timeZone
              JBOPS__SCRIPT_PATH: utility/off_deck.py
            args: [
              "/entrypoint.sh",
              "--markWatched",
              "--playlists", "Toons", "SleepMix"
            ]
    persistence:
      secret-file:
        type: secret
        name: plex-off-deck-secret
        globalMounts:
          - path: /config/config.ini
            subPath: config.ini
            readOnly: true
